Subject: Re: bug#51982: Erroneous handling of local variables in byte-compiled nested lambdas

From: Michael Heerdegen <[email-masked]>
Date: Sun, 21 Nov 2021 08:59:34 +0100

Paul Pogonyshev <[email-masked]> writes:

> > you cannot count on an eventual fix to be back-ported to Emacs 28
>
> Uh, it's not even released yet. Are the stabilization rules so strict
> that even a *fix* cannot go in?

Yes - only fixes of regressions introduced by the same release are
allowed at the moment.

I totally understand your anger, but such rules are useful.  If
arbitrary fixes would be allowed at any point of the development cycle
the result would be worse than what we have now.  It's also a quite
common policy.  Yes, it sucks, but it is necessary nonetheless.

Michael.